/* point.h */

#ifndef _POINT_H_
#define _POINT_H_

typedef struct POINT {
	float x, y, z;
} POINT;

#include <stdio.h>
#define PointPrint(fp, p) fprintf(fp, "%g %g %g", (p).x, (p).y, (p).z)

extern POINT *PointCreate(float x, float y, float z);
extern POINT *PointCopy(POINT *point);
extern void PointDestroy(POINT *point);

#endif /* _POINT_H_ */
